import Column from './Column';
import ForeignKey from './ForeignKey';
export default class Table {
    sql: string;
    name: string;
    columns: Column[];
    primaryKey: string[];
    keys: string[][];
    foreignKeys: ForeignKey[];
    constructor(sql: string, dialect: string);
    oracle(sql: string): void;
    mysql(sql: string): void;
}
//# sourceMappingURL=Table.d.ts.map